Skip to main content

October 13, 2026

· 8 min read

This release fixes a typo in the day-of-week enum value across multiple endpoints, correcting 'staturday' to 'saturday'. Additionally, push notification settings now support configuration for missing forms and waivers notifications.

GET /membership_payment_plans

  • added the new saturday enum value to the results/items/fixed_billing_day_of_week response property for the response status 200 (media type: application/json)
  • removed the staturday enum value from the results/items/fixed_billing_day_of_week response property for the response status 200 (media type: application/json)
View updated docs

POST /membership_payment_plans

  • removed the enum value staturday of the request property fixed_billing_day_of_week (media type: application/json)
  • added the new saturday enum value to the fixed_billing_day_of_week response property for the response status 201 (media type: application/json)
  • added the new saturday enum value to the request property fixed_billing_day_of_week (media type: application/json)
  • removed the staturday enum value from the fixed_billing_day_of_week response property for the response status 201 (media type: application/json)
View updated docs

GET /membership_payment_plans/{id}

  • added the new saturday enum value to the fixed_billing_day_of_week response property for the response status 200 (media type: application/json)
  • removed the staturday enum value from the fixed_billing_day_of_week response property for the response status 200 (media type: application/json)
View updated docs

PATCH /membership_payment_plans/{id}

  • added the new saturday enum value to the fixed_billing_day_of_week response property for the response status 200 (media type: application/json)
  • removed the staturday enum value from the fixed_billing_day_of_week response property for the response status 200 (media type: application/json)
View updated docs

PUT /membership_payment_plans/{id}

  • added the new saturday enum value to the fixed_billing_day_of_week response property for the response status 200 (media type: application/json)
  • removed the staturday enum value from the fixed_billing_day_of_week response property for the response status 200 (media type: application/json)
View updated docs

GET /recurring_reservations

  • added the new saturday enum value to the results/items/day response property for the response status 200 (media type: application/json)
  • removed the staturday enum value from the results/items/day response property for the response status 200 (media type: application/json)
View updated docs

GET /recurring_reservations/{id}

  • added the new saturday enum value to the day response property for the response status 200 (media type: application/json)
  • removed the staturday enum value from the day response property for the response status 200 (media type: application/json)
View updated docs

PATCH /recurring_reservations/{id}

  • added the new saturday enum value to the day response property for the response status 200 (media type: application/json)
  • removed the staturday enum value from the day response property for the response status 200 (media type: application/json)
View updated docs

GET /registration_options

  • added the new saturday enum value to the results/items/time_slots/items/day response property for the response status 200 (media type: application/json)
  • removed the staturday enum value from the results/items/time_slots/items/day response property for the response status 200 (media type: application/json)
View updated docs

GET /reports/classes.grouped/data

  • removed the enum value staturday from the property items/ of the query request parameter day_of_week
  • added the enum value saturday to the property items/ of the query request parameter day_of_week
View updated docs

POST /reports/classes.grouped/export

  • removed the enum value staturday of the request property day_of_week/items/ (media type: application/json)
  • added the new saturday enum value to the request property day_of_week/items/ (media type: application/json)
View updated docs

GET /reports/classes/data

  • removed the enum value staturday from the property items/ of the query request parameter day_of_week
  • added the enum value saturday to the property items/ of the query request parameter day_of_week
View updated docs

POST /reports/classes/export

  • removed the enum value staturday of the request property day_of_week/items/ (media type: application/json)
  • added the new saturday enum value to the request property day_of_week/items/ (media type: application/json)
View updated docs

GET /communication/push_settings

  • added the required property missing_forms_and_waivers to the response with the 200 status (media type: application/json)
View updated docs

PATCH /communication/push_settings

  • added the new optional request property missing_forms_and_waivers (media type: application/json)
  • added the required property missing_forms_and_waivers to the response with the 200 status (media type: application/json)
View updated docs